require_relative 'treasure_trove'
require_relative 'player'
require_relative 'loaded_die'
module StudioGame
  module GameTurn
    def self.take_turn(player)
      die = Die.new
      number_rolled = die.roll

      case number_rolled
      when 1..2
        player.blam
      when 3..4
        puts "#{player.player_name} was skipped"
      else
        player.w00t
      end

      treasure = TreasureTrove.random
      player.found_treasure(treasure)
      #puts "#{player.player_name} found a #{treasure.name} worth #{treasure.points} points."
    end
  end
end
