require_relative 'player'
module StudioGame
  class BerserkPlayer < Player
    def initialize(name, health=100, w00ted_times=0)
      super(name, health)
      @w00ted_times = w00ted_times
    end

    def berserk?
      @w00ted_times > 5
    end

    def w00t
      super
      @w00ted_times += 1
      if berserk?
        puts "#{@player_name} is berserk!"
      end
    end

    def blam
      if berserk?
        w00t()
      else
        super
      end
    end
  end

  if __FILE__ == $0
    berserker = BerserkPlayer.new("berserker", 50)
    6.times { berserker.w00t }
    2.times { berserker.blam }
    puts berserker.health
  end
end
